/*
 * @Author: liuzhenlin 461480418@qq.ocm
 * @Date: 2023-01-19 14:06:58
 * @LastEditors: liuzhenlin
 * @LastEditTime: 2023-02-15 18:45:00
 * @Description: file content
 * @FilePath: \oms\api\system\user.js
 */
import micro_request from '../../utils/micro_request'
const basePath = process.uniEnv.VUE_APP_AdminPath
const baseParentPath = process.uniEnv.VUE_APP_ParentPath
export default {
  login(query) {
    return micro_request.postRequest(basePath, 'Auth', 'Login', query)
  },
  logout(query) {
    return micro_request.postRequest(basePath, 'Auth', 'LogOut', query)
  },
  getUserInfo(query) {
    return micro_request.postRequest(basePath, 'User', 'GetUserInfo', query)
  },
  // 获取列表
  getList(query) {
    return micro_request.postRequest(basePath, 'User', 'GetList', query)
  },
  doAdd(query) {
    return micro_request.postRequest(basePath, 'User', 'Create', query)
  },
  doEdit(query) {
    return micro_request.postRequest(basePath, 'User', 'UpdateById', query)
  },
  doDelete(query) {
    return micro_request.postRequest(basePath, 'User', 'DeleteByIds', query)
  },
  // 客户联系人
  getContact(query) {
    return micro_request.postRequest(baseParentPath, 'Contact', 'GetList', query)
  },
   // 项目联系人
   getProjectContact(query) {
    return micro_request.postRequest(baseParentPath, 'BusinessContact', 'GetList', query)
  },
}
